public static interface HttpEndpointBuilderFactory.HttpEndpointBuilder
extends org.apache.camel.builder.EndpointProducerBuilder
| Modifier and Type | Method and Description |
|---|---|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
advanced() |
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authDomain(String authDomain)
Authentication domain to use with NTML.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authenticationPreemptive(boolean authenticationPreemptive)
If this option is true, camel-http sends preemptive basic
authentication to the server.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authenticationPreemptive(String authenticationPreemptive)
If this option is true, camel-http sends preemptive basic
authentication to the server.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authHost(String authHost)
Authentication host to use with NTML.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authMethod(String authMethod)
Authentication methods allowed to use as a comma separated list of
values Basic, Digest or NTLM.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authMethodPriority(String authMethodPriority)
Which authentication method to prioritize to use, either as Basic,
Digest or NTLM.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authPassword(String authPassword)
Authentication password.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
authUsername(String authUsername)
Authentication username.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
bridgeEndpoint(boolean bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
bridgeEndpoint(String bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
chunked(boolean chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
chunked(String chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
clearExpiredCookies(boolean clearExpiredCookies)
Whether to clear expired cookies before sending the HTTP request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
clearExpiredCookies(String clearExpiredCookies)
Whether to clear expired cookies before sending the HTTP request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
connectionClose(boolean connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
connectionClose(String connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
copyHeaders(boolean copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
copyHeaders(String copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
customHostHeader(String customHostHeader)
To use custom host header for producer.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
disableStreamCache(boolean disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
disableStreamCache(String disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)
To use a custom HeaderFilterStrategy to filter header to and from
Camel message.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
headerFilterStrategy(String headerFilterStrategy)
To use a custom HeaderFilterStrategy to filter header to and from
Camel message.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
httpMethod(HttpEndpointBuilderFactory.HttpMethods httpMethod)
Configure the HTTP method to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
httpMethod(String httpMethod)
Configure the HTTP method to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
ignoreResponseBody(boolean ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
ignoreResponseBody(String ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
lazyStartProducer(boolean lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
lazyStartProducer(String lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
preserveHostHeader(boolean preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
preserveHostHeader(String preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthDomain(String proxyAuthDomain)
Proxy authentication domain to use with NTML.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthHost(String proxyAuthHost)
Proxy authentication host.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthMethod(String proxyAuthMethod)
Proxy authentication method to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthNtHost(String proxyAuthNtHost)
Proxy authentication domain (workstation name) to use with NTML.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthPassword(String proxyAuthPassword)
Proxy authentication password.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthPort(Integer proxyAuthPort)
Proxy authentication port.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthPort(String proxyAuthPort)
Proxy authentication port.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthScheme(String proxyAuthScheme)
Proxy authentication scheme to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyAuthUsername(String proxyAuthUsername)
Proxy authentication username.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyHost(String proxyHost)
Proxy hostname to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyPort(int proxyPort)
Proxy port to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
proxyPort(String proxyPort)
Proxy port to use.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
sslContextParameters(Object sslContextParameters)
To configure security using SSLContextParameters.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
sslContextParameters(String sslContextParameters)
To configure security using SSLContextParameters.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
throwExceptionOnFailure(boolean throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
throwExceptionOnFailure(String throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
transferException(boolean transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
transferException(String transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
x509HostnameVerifier(Object x509HostnameVerifier)
To use a custom X509HostnameVerifier such as DefaultHostnameVerifier
or NoopHostnameVerifier.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
x509HostnameVerifier(String x509HostnameVerifier)
To use a custom X509HostnameVerifier such as DefaultHostnameVerifier
or NoopHostnameVerifier.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder advanced()
default HttpEndpointBuilderFactory.HttpEndpointBuilder disableStreamCache(boolean disableStreamCache)
boolean type.
Default: false
Group: commondefault HttpEndpointBuilderFactory.HttpEndpointBuilder disableStreamCache(String disableStreamCache)
boolean type.
Default: false
Group: commondefault HttpEndpointBuilderFactory.HttpEndpointBuilder headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)
org.apache.camel.spi.HeaderFilterStrategy type.
Group: commondefault HttpEndpointBuilderFactory.HttpEndpointBuilder headerFilterStrategy(String headerFilterStrategy)
org.apache.camel.spi.HeaderFilterStrategy type.
Group: commondefault HttpEndpointBuilderFactory.HttpEndpointBuilder bridgeEndpoint(boolean bridgeEndpoint)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder bridgeEndpoint(String bridgeEndpoint)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder chunked(boolean chunked)
boolean type.
Default: true
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder chunked(String chunked)
boolean type.
Default: true
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder clearExpiredCookies(boolean clearExpiredCookies)
boolean type.
Default: true
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder clearExpiredCookies(String clearExpiredCookies)
boolean type.
Default: true
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder connectionClose(boolean connectionClose)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder connectionClose(String connectionClose)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder copyHeaders(boolean copyHeaders)
boolean type.
Default: true
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder copyHeaders(String copyHeaders)
boolean type.
Default: true
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder customHostHeader(String customHostHeader)
java.lang.String type.
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder httpMethod(HttpEndpointBuilderFactory.HttpMethods httpMethod)
org.apache.camel.http.common.HttpMethods type.
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder httpMethod(String httpMethod)
org.apache.camel.http.common.HttpMethods type.
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder ignoreResponseBody(boolean ignoreResponseBody)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder ignoreResponseBody(String ignoreResponseBody)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder lazyStartProducer(boolean lazyStartProducer)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder lazyStartProducer(String lazyStartProducer)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder preserveHostHeader(boolean preserveHostHeader)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder preserveHostHeader(String preserveHostHeader)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder throwExceptionOnFailure(boolean throwExceptionOnFailure)
boolean type.
Default: true
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder throwExceptionOnFailure(String throwExceptionOnFailure)
boolean type.
Default: true
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder transferException(boolean transferException)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder transferException(String transferException)
boolean type.
Default: false
Group: producerdefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthDomain(String proxyAuthDomain)
java.lang.String type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthHost(String proxyAuthHost)
java.lang.String type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthMethod(String proxyAuthMethod)
java.lang.String type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthNtHost(String proxyAuthNtHost)
java.lang.String type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthPassword(String proxyAuthPassword)
java.lang.String type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthPort(Integer proxyAuthPort)
java.lang.Integer type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthPort(String proxyAuthPort)
java.lang.Integer
type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthScheme(String proxyAuthScheme)
java.lang.String type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyAuthUsername(String proxyAuthUsername)
java.lang.String type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyHost(String proxyHost)
java.lang.String type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyPort(int proxyPort)
int type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder proxyPort(String proxyPort)
int type.
Group: proxydefault HttpEndpointBuilderFactory.HttpEndpointBuilder authDomain(String authDomain)
java.lang.String type.
Group: securitydefault HttpEndpointBuilderFactory.HttpEndpointBuilder authenticationPreemptive(boolean authenticationPreemptive)
boolean type.
Default: false
Group: securitydefault HttpEndpointBuilderFactory.HttpEndpointBuilder authenticationPreemptive(String authenticationPreemptive)
boolean type.
Default: false
Group: securitydefault HttpEndpointBuilderFactory.HttpEndpointBuilder authHost(String authHost)
java.lang.String type.
Group: securitydefault HttpEndpointBuilderFactory.HttpEndpointBuilder authMethod(String authMethod)
java.lang.String type.
Group: securitydefault HttpEndpointBuilderFactory.HttpEndpointBuilder authMethodPriority(String authMethodPriority)
java.lang.String type.
Group: securitydefault HttpEndpointBuilderFactory.HttpEndpointBuilder authPassword(String authPassword)
java.lang.String type.
Group: securitydefault HttpEndpointBuilderFactory.HttpEndpointBuilder authUsername(String authUsername)
java.lang.String type.
Group: securitydefault HttpEndpointBuilderFactory.HttpEndpointBuilder sslContextParameters(Object sslContextParameters)
org.apache.camel.support.jsse.SSLContextParameters type.
Group: securitydefault HttpEndpointBuilderFactory.HttpEndpointBuilder sslContextParameters(String sslContextParameters)
org.apache.camel.support.jsse.SSLContextParameters type.
Group: securitydefault HttpEndpointBuilderFactory.HttpEndpointBuilder x509HostnameVerifier(Object x509HostnameVerifier)
javax.net.ssl.HostnameVerifier type.
Group: securitydefault HttpEndpointBuilderFactory.HttpEndpointBuilder x509HostnameVerifier(String x509HostnameVerifier)
javax.net.ssl.HostnameVerifier type.
Group: securityApache Camel